
Smart Proxy - Bug #15373

ping timeouts are too short
Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: DHCP   

Target version: 1.12.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/433

  

Description

During free_ip queries on a subnet the timeout on the ping operations are too short for the native ms dhcp system as the current

code gives the ping executable just one millisecond to reply. I guess that the original author failed to notice that Linux uses seconds

for the timeout while Windows uses milliseconds.

Associated revisions

Revision 5d1b7cbb - 06/13/2016 05:34 AM - Paul Kelly

fixes #15373 - windows ping called with very small timeout

History

#1 - 06/10/2016 10:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/433 added

#2 - 06/13/2016 06:02 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5d1b7cbb2048b06253c56452b017cf2a1a366965.

#3 - 06/14/2016 04:21 AM - Dominic Cleal

- translation missing: en.field_release set to 161
